Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1362142

Summary: Retention Tag isn't shown on the new job page
Product: [Community] Beaker Reporter: Stefan Kremen <skremen>
Component: web UIAssignee: beaker-dev-list
Status: NEW --- QA Contact: tools-bugs <tools-bugs>
Severity: unspecified Docs Contact:
Priority: low    
Version: 23CC: jbastian, mjia, tklohna, xhe
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Comment 1 Dan Callaghan 2016-08-02 03:22:24 UTC
Click the Edit button on the job page and you can view/change the retention tag and product.

Comment 2 Stefan Kremen 2016-08-02 10:08:25 UTC
Hello, thanks for pointing the direction. I didn't see it there before.

I would suggest to have the information available in one place together with Whiteboard.

Comment 3 Dan Callaghan 2016-08-02 22:14:20 UTC
Yes that's a reasonable suggestion.

In the initial design, we assumed that retention tag / product were quite unimportant (we assumed that users would submit their job with the correct retention tag and product and then not worry about it afterwards, unless there was a mistake in the job XML). So we didn't want to dedicate any space in the main job view to showing it.

However it seems some people are relying on viewing and changing the retention tag as part of their normal workflow. So I think it makes sense to display it on the page.

Comment 4 Stefan Kremen 2016-08-03 09:19:39 UTC
Dan,

you are correct, it is part of our workflow, indeed.

Thank you!

Comment 5 Jeff Bastian 2016-08-10 14:00:41 UTC
Yes, it is part of my workflow too: I typically submit my jobs with the 120days tag, and if the job goes well, then I move it to active or audit.  I'm working with prototype hardware, so a large percent of my jobs abort due to stupid problems like failure to PXE boot, and there's no reason to keep those results around forever.

Also, with the current design, it's difficult to see if other peoples' jobs on my team have the correct retention tag.  Due to our workflow, I audit all the jobs that we ran after the QE testing phase ends just to make sure our results are saved.  The tag used to be quite visible, but with the new UI the only way to see a tag for another person's job is to look at the raw results XML.

Comment 6 xhe@redhat.com 2016-08-16 07:42:17 UTC
At present, we add the beaker jobs into Polarion as the test results for each test run, because the default "Retention Tag"=120days, so we have to change manually jobs one by one for "Retention Tag" when add the jobs into Polarion.

So I wonder if it's possible we can change the "Retention Tag" in bulk in beaker UI? So that beaker job links in Polarion is still available to open after 120days. 

Thanks,
Xiaonan